SolrParams (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.SolrParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.params
Class SolrParams

    java.lang.Object
      org.apache.solr.common.params.SolrParams

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DefaultSolrParams, MapSolrParams, ModifiableSolrParams, MultiMapSolrParams, RequiredSolrParams

    public abstract class SolrParams

extends Object
implements Serializable

SolrParams hold request parameters.

Version:
  $Id$
See Also:
  Serialized Form

Constructor Summary
`SolrParams()`

Method Summary
`protected String` | `fpname(String field, String param)`
`abstract String` | `get(String param)` returns the String value of a param, or null if not set
`String` | `get(String param, String def)` returns the value of the param, or def if not set
`Boolean` | `getBool(String param)` Returns the Boolean value of the param, or null if not set
`boolean` | `getBool(String param, boolean def)` Returns the boolean value of the param, or def if not set
`Double` | `getDouble(String param)` Returns the Float value of the param, or null if not set
`double` | `getDouble(String param, double def)` Returns the float value of the param, or def if not set
`Boolean` | `getFieldBool(String field, String param)` Returns the Boolean value of the field param, or the value for param, or null if neither is set.
`boolean` | `getFieldBool(String field, String param, boolean def)` Returns the boolean value of the field param, or the value for param, or def if neither is set.
`Double` | `getFieldDouble(String field, String param)` Returns the float value of the field param.
`double` | `getFieldDouble(String field, String param, double def)` Returns the float value of the field param, or the value for param, or def if neither is set.
`Float` | `getFieldFloat(String field, String param)` Returns the float value of the field param.
`float` | `getFieldFloat(String field, String param, float def)` Returns the float value of the field param, or the value for param, or def if neither is set.
`Integer` | `getFieldInt(String field, String param)`
`int` | `getFieldInt(String field, String param, int def)` Returns the int value of the field param, or the value for param, or def if neither is set.
`String` | `getFieldParam(String field, String param)` returns the String value of the field parameter, "f.field.param", or the value for "param" if that is not set.
`String` | `getFieldParam(String field, String param, String def)` returns the String value of the field parameter, "f.field.param", or the value for "param" if that is not set.
`String[]` | `getFieldParams(String field, String param)` returns the String values of the field parameter, "f.field.param", or the values for "param" if that is not set.
`Float` | `getFloat(String param)` Returns the Float value of the param, or null if not set
`float` | `getFloat(String param, float def)` Returns the float value of the param, or def if not set
`Integer` | `getInt(String param)` Returns the Integer value of the param, or null if not set
`int` | `getInt(String param, int def)` Returns the int value of the param, or def if not set
`abstract Iterator<String>` | `getParameterNamesIterator()` returns an Iterator over the parameter names
`abstract String[]` | `getParams(String param)` returns an array of the String values of a param, or null if none
`protected boolean` | `parseBool(String s)` Deprecated. Use org.apache.solr.common.util.StrUtils.parseBool
`RequiredSolrParams` | `required()` returns a RequiredSolrParams wrapping this
`static Map<String,String>` | `toMap(NamedList params)` Create a Map from a NamedList given no keys are repeated
`static Map<String,String[]>` | `toMultiMap(NamedList params)` Create a Map from a NamedList
`NamedList<Object>` | `toNamedList()` Convert this to a NamedList
`static SolrParams` | `toSolrParams(NamedList params)` Create SolrParams from NamedList.
`static SolrParams` | `wrapAppended(SolrParams params, SolrParams defaults)`
`static SolrParams` | `wrapDefaults(SolrParams params, SolrParams defaults)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrParams

    public SolrParams()

Method Detail

### get

    public abstract String get(String param)

  returns the String value of a param, or null if not set

### getParams

    public abstract String[] getParams(String param)

  returns an array of the String values of a param, or null if none

### getParameterNamesIterator

    public abstract Iterator<String> getParameterNamesIterator()

  returns an Iterator over the parameter names

### get

    public String get(String param,
                      String def)

  returns the value of the param, or def if not set

### required

    public RequiredSolrParams required()

  returns a RequiredSolrParams wrapping this

### fpname

    protected String fpname(String field,
                            String param)

### getFieldParam

    public String getFieldParam(String field,
                                String param)

  returns the String value of the field parameter, "f.field.param", or the value for "param" if that is not set.

### getFieldParam

    public String getFieldParam(String field,
                                String param,
                                String def)

  returns the String value of the field parameter, "f.field.param", or the value for "param" if that is not set. If that is not set, def

### getFieldParams

    public String[] getFieldParams(String field,
                                   String param)

  returns the String values of the field parameter, "f.field.param", or the values for "param" if that is not set.

### getBool

    public Boolean getBool(String param)

  Returns the Boolean value of the param, or null if not set

### getBool

    public boolean getBool(String param,
                           boolean def)

  Returns the boolean value of the param, or def if not set

### getFieldBool

    public Boolean getFieldBool(String field,
                                String param)

  Returns the Boolean value of the field param, or the value for param, or null if neither is set.

### getFieldBool

    public boolean getFieldBool(String field,
                                String param,
                                boolean def)

  Returns the boolean value of the field param, or the value for param, or def if neither is set.

### getInt

    public Integer getInt(String param)

  Returns the Integer value of the param, or null if not set

### getInt

    public int getInt(String param,
                      int def)

  Returns the int value of the param, or def if not set

### getFieldInt

    public Integer getFieldInt(String field,
                               String param)

  Returns:
    The int value of the field param, or the value for param or `null` if neither is set.

### getFieldInt

    public int getFieldInt(String field,
                           String param,
                           int def)

  Returns the int value of the field param, or the value for param, or def if neither is set.

### getFloat

    public Float getFloat(String param)

  Returns the Float value of the param, or null if not set

### getFloat

    public float getFloat(String param,
                          float def)

  Returns the float value of the param, or def if not set

### getDouble

    public Double getDouble(String param)

  Returns the Float value of the param, or null if not set

### getDouble

    public double getDouble(String param,
                            double def)

  Returns the float value of the param, or def if not set

### getFieldFloat

    public Float getFieldFloat(String field,
                               String param)

  Returns the float value of the field param.

### getFieldFloat

    public float getFieldFloat(String field,
                               String param,
                               float def)

  Returns the float value of the field param, or the value for param, or def if neither is set.

### getFieldDouble

    public Double getFieldDouble(String field,
                                 String param)

  Returns the float value of the field param.

### getFieldDouble

    public double getFieldDouble(String field,
                                 String param,
                                 double def)

  Returns the float value of the field param, or the value for param, or def if neither is set.

### parseBool

    @Deprecated
    protected boolean parseBool(String s)

  Deprecated. Use org.apache.solr.common.util.StrUtils.parseBool

  how to transform a String into a boolean... more flexible than Boolean.parseBoolean() to enable easier integration with html forms.

### wrapDefaults

    public static SolrParams wrapDefaults(SolrParams params,
                                          SolrParams defaults)

### wrapAppended

    public static SolrParams wrapAppended(SolrParams params,
                                          SolrParams defaults)

### toMap

    public static Map<String,String> toMap(NamedList params)

  Create a Map from a NamedList given no keys are repeated

### toMultiMap

    public static Map<String,String[]> toMultiMap(NamedList params)

  Create a Map from a NamedList

### toSolrParams

    public static SolrParams toSolrParams(NamedList params)

  Create SolrParams from NamedList.

### toNamedList

    public NamedList<Object> toNamedList()

  Convert this to a NamedList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD